# Ansible AWX Template: Gitea Management

Ansible AWX is the method used for the Rocky Linux infrastructure, as a replacement for using the CLI. This template is used specifically for management of Gitea.

## TODO

* Create valid tests
* Create valid template file to deploy

## Provides / Information

This repository is for Gitea operations and management.

```
.
├── adhoc-create-org.yml
├── collections
│   ├── README.md
│   └── requirements.yml
├── defaults
│   └── main.yml
├── files
│   ├── README.md
│   └── var
│       └── lib
│           └── gitea
│               └── custom
│                   └── public
│                       └── css
│                           ├── theme-carbonred.css
│                           ├── theme-darkred.css
│                           ├── theme-gitea-blue.css
│                           ├── theme-gitea-modern.css
│                           └── theme-pitchblack.css
├── handlers
│   └── main.yml
├── init-gitea-configure.yml
├── init-gitea-themes.yml
├── init-gitea-update.yml
├── main.yml
├── README.md
├── role-gitea.yml
├── roles
│   └── README.md
├── tasks
│   ├── gitea
│   │   ├── configure.yml
│   │   ├── install.yml
│   │   └── theme.yml
│   ├── gitea.yml
│   └── main.yml
├── templates
│   ├── etc
│   │   └── gitea
│   │       └── conf
│   │           └── app.ini.j2
│   └── README.md
├── tests
│   ├── inventory
│   ├── README.md
│   └── test.yml
└── vars
    ├── common.yml
    ├── db.yml
    └── main.yml
```
